%define upstream_name    Template-DBI
%define upstream_version 2.65

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 9

Summary: 	Template interface to the DBI module
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://www.template-toolkit.org
Source0:	http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(DBI) >= 1.0
BuildRequires:	perl(Template) >= 2.15

BuildArch:	noarch
Requires:	perl(Template) >= 2.15

%description
The Template-DBI distribution contains the DBI plugin for the Template
Toolkit. At some point in the future it is likely to contain other
DBI-related plugins and extension modules for the Template Toolkit.

The DBI plugin was distributed as part of the Template Toolkit until
version 2.15 released in May 2006. At this time it was extracted into
this separate Template-DBI distribution.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make

##%check
##%__make test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc README META.yml
%{perl_vendorlib}/Template
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.650.0-9.mga8
+ Revision: 1497267
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.650.0-8.mga7
+ Revision: 1271561
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.650.0-7.mga6
+ Revision: 1033850
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 2.650.0-6.mga6
+ Revision: 937877
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.650.0-5.mga5
+ Revision: 746644
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.650.0-4.mga5
+ Revision: 686333
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.650.0-3.mga4
+ Revision: 514846
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.650.0-2.mga3
+ Revision: 373120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 2.650.0-1.mga1
+ Revision: 36556
- mageia rebuild
- imported package perl-Template-DBI

